<?php

namespace app\api\controller\auti;

use app\models\article\ArticleModel;
use app\Request;
use crmeb\services\UtilService;

class ArticleController
{
    public function list(Request $request)
    {
        $where = UtilService::getMore([
            [['page', 'd'], 1],
            [['limit', 'd'], 15],
            ['is_show', 0]
        ], $request);
        $list = ArticleModel::systemPage($where);
        return app('json')->successful($list);
    }

    public function detail($id)
    {
        $info = ArticleModel::where('is_del', 0)->find($id)->toArray();
        return app('json')->successful($info);
    }
}